<?php
// WizyTówka - start.php
if ( !defined('WT') ) exit();

define( 'WERSJA', '3.17' );
define( 'WERSJA_TEST', false );
define( 'WERSJA_DATA', '30.03.2013' );      // rozpoczęcie prac: 5.08.2012

define( 'DANE', 'dane' );
define( 'SYSTEM', 'system' );
define( 'PLIKI', DANE.'/pliki' );
define( 'FORMAT_DATY', 'Y-m-d_H-i-s' );

error_reporting(E_ALL ^ E_NOTICE);

// czas, po którym znikają komunikaty w panelu administracyjnym, w sekudnach
$start['czas_komunikatu'] = 8;
// widok komunikatu nad panelem administracyjnym, nie obok
$start['widok_komunikatu'] = false;
// dodawanie HTML5 Shiv dla Internet Explorera
$start['html5_ie'] = true;

$_POST = array_map( 'stripcslashes', $_POST );
$a   = $_GET['a'];
$b   = $_GET['b'];
$kod = $_GET['kod'];

include('funkcje.php');

// INSTALATOR

$wymagane_foldery = array ( DANE, DANE.'/konf', DANE.'/motywy', DANE.'/podstrony', DANE.'/typy', PLIKI );
foreach ( $wymagane_foldery as $folder ) {
  if ( !file_exists( $folder ) ) {
    include('admin/instalacja.php');
    exit();
  }
}

// dalszy ciąg skryptu zależny od celu

if ( $cel == 'strona' ) {
  include('strona/go.php');
}

elseif ( $cel == 'admin' ) {

  if ( $_GET['wylogowanie'] ) {
    setcookie( 'WizyTowka_administracja', '', 0 );
    setcookie( 'WizyTowka_czas', '', 0 );
    header('Location: admin.php?reset=3');
    exit();
  }
  
  if ( empty($kod) and !empty($_COOKIE['WizyTowka_administracja']) ) {
    if ( !empty($a) and !empty($b) )
      header( 'Location: admin.php?a=' . $a . '&b=' . $b . '&kod=' . $_COOKIE['WizyTowka_administracja'] );
    elseif ( !empty($a) )
      header( 'Location: admin.php?a=' . $a . '&kod=' . $_COOKIE['WizyTowka_administracja'] );
    else
      header( 'Location: admin.php?kod=' . $_COOKIE['WizyTowka_administracja'] );
    exit();
  }
  
  if ( zalogowany(true) ) {
    if ( $a != 'podstrony' and $a != 'pliki' and $a != 'ustawienia' and $a != 'menu' and $a != 'wyglad' and $a != 'notatki' and
         $a != 'statystyki' and $a != 'informacje' and $a != 'wyloguj' and $a != 'edycja' and $a != 'nazwa' )
       $a = 'podstrony';
    include('admin/'.$a.'.php');
  }
  else
    include('admin/logowanie.php');

}